% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/svs.r
\name{freq_ca}
\alias{freq_ca}
\title{Compute Level Frequencies (for a Factor or Vector)}
\usage{
freq_ca(dat, nfac = FALSE)
}
\arguments{
\item{dat}{A factor, (character) vector or a data frame.}

\item{nfac}{Logical indicating whether the number of factors (i.e. the number of columns in \code{dat}) is a divisor for
the level frequencies.}
}
\value{
A vector containing the frequency counts of every level.
}
\description{
A helper function for computing the frequency of each factor level (typically used in correspondence analysis).
}
\examples{
SndT_Fra <- read.table(system.file("extdata", "SndT_Fra.txt", package = "svs"),
   header = TRUE, sep = "\t", quote = "\"", encoding = "UTF-8",
   stringsAsFactors = FALSE)
freq_ca(SndT_Fra)
}
